<mat-sidenav-container>
	<mat-sidenav
		#sidenav
		class="mat-elevation-z5"
		[mode]="this.layoutService.isXSmall() || this.layoutService.isSmall() ? 'over' : 'side'"
		[fixedInViewport]="this.layoutService.isXSmall() || this.layoutService.isSmall()"
		[opened]="!layoutService.isXSmall() && !layoutService.isSmall()"
	>
		<mat-nav-list>
			<mat-list-item [matMenuTriggerFor]="menu"
				>{{ (tenantService.currentTenantSubject | async)?.name || ('transl.simple.selectTenant' | translate) }}
			</mat-list-item>
			<mat-menu #menu="matMenu">
				<button
					mat-menu-item
					*ngFor="let tenant of tenantService.tenantsSubject | async"
					[routerLink]="['/tenant/', tenant._id, 'dashboard']"
					>{{ tenant.name }}</button
				>
				<button mat-menu-item routerLink="/dashboard/create-tenant">
					<mat-icon>add</mat-icon>
					{{ 'transl.simple.createTenant' | translate }}
				</button>
			</mat-menu>
			<mat-divider></mat-divider>
			<ng-container *ngIf="!(tenantService.currentTenantSubject | async)">
				<mat-list-item routerLink="/dashboard" routerLinkActive="active">
					<mat-icon>dashboard</mat-icon>
					{{ 'transl.simple.dashboard' | translate }}
				</mat-list-item>
				<mat-divider></mat-divider>
			</ng-container>
			<ng-container *ngIf="tenantService.currentTenantSubject | async">
				<mat-list-item [routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'dashboard']" routerLinkActive="active">
					<mat-icon>dashboard</mat-icon>
					{{ 'transl.simple.dashboard' | translate }}
				</mat-list-item>
				<mat-divider></mat-divider>
				<mat-list-item [routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'transactions']" routerLinkActive="active">
					<mat-icon>payments</mat-icon>
					{{ 'transl.simple.transactions' | translate }}
				</mat-list-item>
				<ng-container *ngIf="router.url.includes('/transactions')">
					<mat-divider></mat-divider>
					<mat-list-item
						[routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'transactions', 'imports']"
						routerLinkActive="active"
					>
						<mat-icon>business</mat-icon>
						{{ 'transl.simple.transactionImports' | translate }}
					</mat-list-item>
					<mat-divider></mat-divider>
				</ng-container>
				<mat-list-item [routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'invoices']" routerLinkActive="active">
					<mat-icon>article</mat-icon>
					{{ 'transl.simple.invoices' | translate }}
				</mat-list-item>
				<mat-list-item [routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'estimates']" routerLinkActive="active">
					<mat-icon>calculate</mat-icon>
					{{ 'transl.simple.estimates' | translate }}
				</mat-list-item>
				<mat-list-item [routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'participants']" routerLinkActive="active">
					<mat-icon>people</mat-icon>
					{{ 'transl.simple.participants' | translate }}
				</mat-list-item>
				<mat-list-item [routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'projects']" routerLinkActive="active">
					<mat-icon>assignment</mat-icon>
					{{ 'transl.simple.projects' | translate }}
				</mat-list-item>
				<mat-list-item [routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'accounts']" routerLinkActive="active">
					<mat-icon>account_balance</mat-icon>
					{{ 'transl.simple.accounts' | translate }}
				</mat-list-item>
				<mat-list-item [routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'categories']" routerLinkActive="active">
					<mat-icon>category</mat-icon>
					{{ 'transl.simple.categories' | translate }}
				</mat-list-item>
				<mat-divider></mat-divider>
				<mat-list-item [routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'reporting']" routerLinkActive="active">
					<mat-icon>analytics</mat-icon>
					{{ 'transl.simple.reporting' | translate }}
				</mat-list-item>
				<mat-list-item [routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'taxation']" routerLinkActive="active">
					<mat-icon>receipts</mat-icon>
					{{ 'transl.simple.taxation' | translate }}
				</mat-list-item>
				<mat-divider></mat-divider>
				<mat-list-item
					*permissions="['core.user-service.write', 'core.user-service.read']"
					[routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'users']"
					routerLinkActive="active"
				>
					<mat-icon>person</mat-icon>
					{{ 'transl.simple.users' | translate }}
				</mat-list-item>
				<mat-list-item
					*permissions="['flow.controller.tenant.settings']"
					[routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'settings']"
					routerLinkActive="active"
				>
					<mat-icon>settings</mat-icon>
					{{ 'transl.simple.settings' | translate }}
				</mat-list-item>
				<ng-container *ngIf="router.url.includes('/settings')">
					<mat-divider></mat-divider>
					<mat-list-item
						[routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'settings', 'master-data']"
						routerLinkActive="active"
					>
						<mat-icon>business</mat-icon>
						{{ 'transl.simple.masterData' | translate }}
					</mat-list-item>
					<mat-list-item
						[routerLink]="['/tenant/', tenantService.currentTenantIdSubject.value, 'settings', 'advanced']"
						routerLinkActive="active"
					>
						<mat-icon>report</mat-icon>
						{{ 'transl.simple.advanced' | translate }}
					</mat-list-item>
					<mat-divider></mat-divider>
				</ng-container>
			</ng-container>
		</mat-nav-list>
	</mat-sidenav>
	<div class="sidenav-content">
		<ng-content></ng-content>
	</div>
</mat-sidenav-container>
